%define dist BSD-Resource
Name: perl-%dist
Version: 1.29
Release: alt1

Summary: BSD process resource limit and priority functions
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Thu May 15 2008
BuildRequires: perl-Test-Pod

%description
A module providing an interface for testing and setting process
limits and priorities.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README
%perl_vendor_archlib/BSD*
%perl_vendor_autolib/BSD*

%changelog
* Thu May 15 2008 Alexey Tourbin <at@altlinux.ru> 1.29-alt1
- 1.28 -> 1.29

* Tue Feb 27 2007 Alexey Tourbin <at@altlinux.ru> 1.28-alt2
- fixed setrlimit test for lowest possible hard limits

* Sun Jan 21 2007 Alexey Tourbin <at@altlinux.ru> 1.28-alt1
- 1.24 -> 1.28
- imported into git and adapted for gear
- test suite issues resolved upstream (cpan #13130, #13131)

* Tue Jun 07 2005 Alexey Tourbin <at@altlinux.ru> 1.24-alt2
- fixed [sg]etpriority.t assumptions about current priority (cpan #13130)
- fixed setrlimit.t attemptes to increase hard limits (cpan #13131)
- manual pages not packaged (use perldoc)

* Sat Feb 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.24-alt1.1
- Rebuilt with rpm-build-perl-0.5.1.

* Fri Mar 05 2004 Alexey Tourbin <at@altlinux.ru> 1.24-alt1
- 1.24

* Mon Oct 20 2003 Alexey Tourbin <at@altlinux.ru> 1.23-alt1
- 1.23
- disable [sg]etpriority tests as they assume current priority being zero

* Wed Mar 19 2003 Stanislav Ievlev <inger@altlinux.ru> 1.22-alt1
- 1.22

* Fri Nov 01 2002 Stanislav Ievlev <inger@altlinux.ru> 1.17-alt1
- Inital build for ALT
